org.apache.ignite.internal.processors.platform.client.cache

## Class ClientCachePartitionsRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.client.ClientRequest
  - - org.apache.ignite.internal.processors.platform.client.cache.ClientCachePartitionsRequest

All Implemented Interfaces:
  ClientListenerRequest

    public class ClientCachePartitionsRequest
    extends ClientRequest

Cluster node list request. Currently, used to request list of nodes, to calculate affinity on the client side.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`ClientCachePartitionsRequest(BinaryRawReader reader, ClientProtocolContext protocolCtx)` Initializes a new instance of ClientRawRequest class.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static boolean` `isDefaultMapping(CacheConfiguration<?,?> ccfg)`
`ClientResponse` `process(ClientConnectionContext ctx)` Processes the request.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientRequest

`requestId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientCachePartitionsRequest

    public ClientCachePartitionsRequest(BinaryRawReader reader,
                                        ClientProtocolContext protocolCtx)

Initializes a new instance of ClientRawRequest class.

Parameters:
  `reader` - Reader.

### Method Detail

#### process

    public ClientResponse process(ClientConnectionContext ctx)

Processes the request.

Overrides:
  `process` in class `ClientRequest`
Returns:
  Response.

#### isDefaultMapping

    public static boolean isDefaultMapping(CacheConfiguration<?,?> ccfg)

Parameters:
  `ccfg` - Cache configuration.
Returns:
  `true` if the default affinity was used for cache.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023